---
search:
  tags:
    - Players
    - POST
seo:
  description: >-
    Attach a Discord account to a player using a link code. Reference for the
    POST /api/admin/discord/link endpoint in the Athena Jeopardy Admin API.
sidebar:
  label: Attach a Discord account to a player using a link code
  badge: POST
title: Attach a Discord account to a player using a link code
type: openapi-operation
---
`POST /api/admin/discord/link`

**Request body** (`application/json`, required)

- `token` (string, required)
- `discordUserId` (string, required)

Request body example:

```json
{
  "token": "string",
  "discordUserId": "string"
}
```

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Not found
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "linked": true,
  "verifiedRoleId": "string"
}
```
